#if !defined(APPMGR_HPP)
#	define APPMGR_HPP

#	if !defined(APP_HPP)
#		include <app.hpp>
#	endif

	class ApplicationManager:
		public Node
	{
	public:
		ApplicationManager(Scalar frame_rate);
		~ApplicationManager();

		void
			StartApplication(Application *new_app);

		void
			RunMissions();

		Scalar
			GetFrameRate()
				{Check(this); return frameRate;}

	protected:
		Scalar
			frameDuration,
			frameRate;
		SChainOf<Application*>
			runningApplications;
	};

#endif
